# InfrastructureSystems

## 1.0.1 Announcement

After 1.0.0 release, the manual Changelog will no longer be maintained. Please refer to the [releases page](https://github.com/NREL-SIIP/InfrastructureSystems.jl/releases) to follow up with the changes. 

## 1.0.0

- Separate TimeSeriesData in Forecast and StaticTimeSeries
- Add documentation
- Remove PWL cost function 
- Add Support for composed Arrays in forecasts 
- Update API for Deterministic, Probabilistic, Scenarios
- refactor forecast methods to time_series methods

## 0.15.5

- Change implementation of file copy

## 0.15.4 

- Bump TimeSeries
- Add basic documentation

## 0.15.3

- Fix priting of components

## 0.15.2

- Fix windows issue with addition of structs
- Add filter to iterate forecasts

## 0.15.1

- Improve string rendering of docstrings from autogenerated code

## 0.15.0

- Remove type restrictions in code autogeneration

## 0.14.0

- Change implementation of @forward macro

## 0.13.1

- Add exclusions to the @forward macro

## 0.13.0

- Remove container for last component
- Allow for periods in serialization 
- Remove unused tuple to dict conversion

## 0.12.1

- Make SystemUnitsSettings a mutable struct
- Bump CVS.jl version

## 0.12.0

- Add new field check for autogeneration code - needs conversion.
- Add UnitsInfo to Internal.
- Use DocString Extensions.

## 0.11.0

- Add forward macro for code re-use
- Add function to copy forecasts between components
- Allow to check for integer values in function checks

## 0.10.1

- Bug fix with serialization of shared time series data 

## 0.10.0

- Add Read only option for deserialization
- Fix bug in autogeneration code for setters
- Update DataFrames to v0.21

## 0.9.0

- Enable passing AbstractType to get_component and update to error message

## 0.8.3

- Add reset to clear forecasts call

## 0.8.2

- Bug fix on serialization

## 0.8.1

- Bug fix on serialization

## 0.8.0

- Force types in the setter functions.

## 0.7.0

- add exclamation point to autogenerated setter functions

## 0.6.5

- add code for auto generation of setter functions

## 0.6.4

- Add capability to deserialize parametrized structs
- Improve printing of structs

## 0.6.3

- Enable location set for hdf5 time series files
- add get_parameter method

## 0.6.2

- Remove check for \_forecast in get_forecasts

## 0.6.1

- Enable filtering function for get_components

## 0.6.0

- Add event recorder logging capabilities

## 0.5.16

- Update CSV dependency to v0.6

## 0.5.15

- Improvements to TableData parsing

## 0.5.14

- Update TimeSeries.jl dependency

## 0.5.13

- add get_basepower method for results

## 0.5.12

- Remove export of logging functions

## 0.5.11

- Add new timestamp format to parsing

## 0.5.10

- Internal rename of the forecast field

## 0.5.9

- Modify TableData parsing to use Area and Zone correctly

## 0.5.8

- Bug fix in default values for forecasts
- Addition of results abstract type

## 0.5.7

- Add macro to simplifiy calls to enums

## 0.5.6

- Update code for autogenerated code testing

## 0.5.5

- Use get_name methods in system construction

## 0.5.4

- Update get_components to work with parametrized structs

## 0.5.3

- Update dependencies

## 0.5.2

- Improvements in logging
- Add range to docstrings

## 0.5.1

- Add time periods operations and print methods.
- Add redirection of stdout to log events during external function execution
- Add new exceptios for PowerSimulations

## 0.5.0

- Update template for autogeneration of structs to consider internal_default values
- Add Code to support parametrized structs in seralization and de-serialization
- Add the ext field in internal for extensions of structs.

## 0.4.4

- Fix printing of < in generated structs

## 0.4.3

- Fix inital time generation from contiguous forecasts

## 0.4.2

- Fix docstring creation in struct generation code

## 0.4.1

- Update docstring printing in auto generation code

## 0.4.0

- Add validation for contigous forecasts
- Bug fix in table data parsing

## 0.3.0

- Use accessor functions to retrieve forecasts instead of labels

## 0.2.4

- Return components from remove_component functions
- Fix incorrect docstrings

## 0.2.3

- Subsetting of HDF5 file when reading forecast data

## 0.2.2

- Automatic deletition of the temporary files

## 0.2.1

- Remove assertion when component label is not present

## 0.2.0

- Update use of forecasts to store them in disk

## 0.1.4

- Bugfix: Changed the use of get_data to get_time series in get_forecast_value 577f5e2

## 0.1.3

- Fix strip_module_names #16
